My goal is to be able to store any object type (mainly an image jpg/bmp) inside a part that is not accessable through the normal user interface to be used with my addin.
I have been searching around and it seems like GetPrivateStream is the way to go.
Any working example of GetPrivateStream in vb.net and confirm if it actually stores the data inside the part.
I can't find a solution anywhere or any decent referencing material for this. If there is a better method of achieving this?
There are many examples of creating rectangular patterns, but not many, if any, of interrogating existing patterns.I have attached the files and a screenshot of a rectangular part inside an assembly. The part contains a rectangular pattern of holes and workplanes.how do I get hold of each proxy of the workplane in the pattern?In other words I don't know what to put in the for loop at the end of this code fragment:
If _invApp.Documents.Count = 0 Then MsgBox("Need to open an the assembly document") ReturnEnd If If _invApp.ActiveDocument.DocumentType <> DocumentTypeEnum.kAssemblyDocumentObject Then MsgBox("Need to have an Assembly document active") ReturnEnd If Dim asmDoc As Assembly Document asmDoc = _invApp.ActiveDocument Dim asmDef As AssemblyComponentDefinition asmDef = asmDoc.ComponentDefinition im occurrences As ComponentOccurrencesoccurrences. [code]....
I'm changing computers and need to transfer over my custom document output settings in Bridge but don't know how to locate them. I have several types of custom documents.
I have made a VB.Net Add-In for Inventor 2011, in a few functions it opens one or more files or sets a reference to already opened files. The release of the resource to this documents seems to be the problem.
In PDM (Productstream Pro) we want to change document states and there for the documents have to be closed in Inventor. When using some Add-In functions prior to the state change in PDM, we get a message from PDM that Inventor still has the files open but inventor does not show any open files (of course we can not see files that were opened in the background).
Only manual operation to solve this is to close inventor or open the drawing and the part used on the drawing and close them top down (drawing first, then part).
I'm stuck with open files that don't seem to be open.I think this is because the add-in sets a reference to the part used on the drawing and then changes something in the drawing.How do I release the resources correctly?
I've created a Inventor 2011 Add-In using VB.Net with VS2008.
This add-in does all kinds of things, but it will not release some documents.
Well I don't know that for shure but it looks like that.
We use Productstream Pro and when changing state of a document it says the document is in use while there are no documents visibly open in Inventor. This only occures when I use my add-in.
Exact steps: Load drawing document from PSPPerform action with add-in which gets a custom iProperty from the Part file used on the Drawing and fills the display name of the Drawing with itSave the drawingClose the drawingIn PSP try to change state of the part file used on the drawingGet message from PSP stating the part is in use
In my code I've tried some things to prevent this behavior but non of them work.
I've tried: Setting unused objects to "= Nothing"Releasing objects using "Marshal.ReleaseComObject(obj)"Calling "m_inventorApplication.CloseAllUnreferencedDocs()" and "System.GC.Collect()" on the "m_appEvents_OnTerminateDocument" event.
This code works with no errors but does not change the text size. A user can over ride the text size (Font size) so I'm hoping it is possible thru code.
Dim oSketch As Inventor.Sketch Set oSketch = oPartDoc.ComponentDefinition.Sketches("Sketch1") Dim oText As Inventor.TextBox Set oText = oSketch.TextBoxes.AddByRectangle(pnt1, pnt2) oText.Style.FontSize = 0.1
I'm using balloons to get information from parts, then writing that part info to a custom table. I need to keep track of which balloon corresponds to which table row.
Is there some object/property of Balloon where I can store a single number or string? I'm already using the value field, so that's unavailable to me.
Also, one balloon corresponds to one table entry. That means I cannot create a custom iProperty in the part the balloon is attached to since more than one balloon may reference the same part.
I would have thought that if I click on an object (in the document area) it should select the layer. But this does not happen. In order to select an layer, I have to select it from the Layers palette.
So is there any way I can select an layer inside the document area?
I am unable to reset the inside margins on an existing document. Editing "Document Preset" for inside margin has no effect on the document - I can change the numbers to any value with no effect on the document. Changing gutter has no effect. I have tried setting margins in the master pages, also no effect. I can change margins by right click on an existing text frame (text frame options), but this only allows setting left or right frame margins for the whole document.
I'm trying to use this command to change the colour of objects inside of a document using applescipt but i keep getting an error "adobe illustrator "can't get color"" the colour exists and is active on a document. I have read the manual on variables and i'm a little lost on what i'm doing wrong, heres what i've got so far:
tell application "Adobe Illustrator"
if color is "C=0 M=0 Y=0 K=90" then set color to "C=0 M=0 Y=0 K=90" end if end tell
i understand this is quite basic but its all i have to start with at the moment
I have a closed object and a line outside this object. I want to take anypoint on this polyline as a reference and check whether that point is lying inside the closed object or outside.
so im drawing a 3d object in an isometric view. it is a 3d extruded object. essentially it is an extruded decagonal tube. i have, at the bottom, a line marking the center of the decagon so i can snap to it, draw a decagon for the base, and extrude it. problem is, i go to draw the decagon (or anything, for that matter), and i cant snap to the inside of the solid. autocad will only let me select the face of the object. is this a setting i can uncheck, or do i have to change the way i am drawing this?
Would you have a solution to accessing ODTables for a dwg object only loaded into memory? I have 1000+ dwgs that I want to return a string with the names of the various ODTable names for auding purposes that I would prefer to just side load rather than full load for performance reasons.
I'm attempting to use something like this (which works fine on an open drawing):
Public Function ReturnOBJData(acObjIDIn As ObjectId, intOffset As Integer) As String 'Don't forget that table is 0 based offset so....plan accordingly Dim strRet As String = "" Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument Dim acDb As Database = acDoc.Database Dim acEd As Editor = acDoc.Editor [Code] .......
In a fashion along the lines of
Public Function GetTables(strFileIn As String) As List(Of String) Dim lstReturn As New List(Of String) Dim acMapApp As MapApplication = HostMapApplicationServices.Application Dim acActiveProject As Project.ProjectModel = acMapApp.ActiveProject Dim acTableList As Tables = acActiveProject.ODTables Dim acTable As ObjectData.Table
[Code] ....
The problem is that I can't seem to link the ODTables object off of the memory database object. In this sample, the msgbox always returns a count of 0 where I would expect it to be in the range of 1-4.
We've been working with adding schedule tags in paper space for objects nested within an xref. The first time you do this however, the manual properties (it seems) do not update if the value of the manual property is changed back in the xref dwg. However, the Automatic properties do seem to update.
When we initially found this we past it off as a limitation. However, one of our users was experimenting and found that the first time you tag the xref resident object... the schedule tag reads the correct manual properties value. However, If you remove the property set from the schedule tag... then the manual property will update correctly showing the current value as it is back in the xref dwg even if it is changed.
This makes complete sense as the manual property set data can be edited from either the tag or the object or from the schedule... IF THE TAG and the object are resident in the same drawing file - in this case you DO NOT want to delete the property set from the tag... if you do this the property set is also removed from the object. However, when tagging objects nested within an xref, then you need to remove the property set from the tag... THEN the manual property will update correctly.
using System; using System.Threading; using System.Collections.Generic; using System.Linq; using System.Text; using System.IO; using System.Runtime.InteropServices; using Autodesk.AutoCAD.Interop.Common; using Autodesk.AutoCAD.Interop; using Autodesk.AutoCAD.ApplicationServices; using Autodesk.AutoCAD.DatabaseServices; using Autodesk.AutoCAD.Runtime; using Autodesk.AutoCAD.EditorInput;
[code]....
Working Environment:-
Visual Studio 2010AutoCAD 2011 C#
After run following error will occure
"An unhandled exception of type 'System.TypeLoadException' occurred in mscorlib.dll
Additional information: Method 'CopyTo' in type 'Autodesk.AutoCAD.ApplicationServices.DocumentCollection'
from assembly 'acmgd, Version=18.1.0.0, Culture=neutral, PublicKeyToken=null' does not have an implementation ."
How would I put smaller objects inside a 3D object? I made a tube and wanted to fill it with little spheres. How to put the objects inside and shade them to look like they're in there.
I want to insert a word document with several pages in autocad by the OLE OBJECT function. The problem is the insert only the first page. How to follow the other pages?
I wonder if it's possible to achive an effect similar to repel text under but instead to put it inside an ellipse, for instanse with dynamic effect of decreasing the text size as the content text grows keeping it inscribed in ellipse.
Okay I have been a avid user of Photoshop for years and I mean well over 10 years now. And I thought why not try something new, plus I saw something that GIMP could do that Photoshop couldn't so I went ahead a downloaded the program, but since I am so used to Photoshop I sort of expected GIMP to be almost the same as Photoshop and well it isn't. (Don't judge me now) so I have a few questions on certain things.
1: How do you select an object inside the layer, with PS you can just ctrl click in the window and poof it's there around your selected item, But GIMP doesn't do that so how do you do that in GIMP?
2: When using the circle tool, I get this green box thing around the whatever it's called and I don't see any marching ants. What am I doing wrong and how do I get that to go away if it's possible?
3: where is the crop tool? What does it look like?
4: How come some of the options for the brushes won't allow you the change them? like for instance, if I go to windows>brushes and double click on any of the brushes another window pops open and it says: Brush editor read only. What does that mean? You can't make any of the brushes in spatter brushes?
I have a simple 3d object animation - it rotates over 1 second. The movie has 1 second. When played, it rotates in a loop.
I've converted the 3d layer into a smart object. The smart object animation timeline has 5 seconds, but the nested 3d object rotates only once and then stops. How to make the internal 3d animation loop inside the smart object?
I created a square in which I have to draw vertical lines in it. I want the first line to start at 2.5 cm from the left segment of the square.
In a different way to say it just to be clear enough, I want to align the segment (inside the square) from the left vertical line of the square, put 2.5 cm to the right, and then there's my line.
When I try to align it using the align tool, I use the square as a key object. But it select ALL the square, so it puts my line 2.5 cm but to the far right of the square, outside my artwork. I'd want to select only the left line of the square.
I have a complex object (a plot with a bunch of text labels, etc.), and I want to stretch it horizontally or vertically without distorting text. I have an option to scale or not to scale strokes,. However, whatever I select here, the text always ends up distorted.
Is there a way to stretch it so that the text retains it's original shape?
I need to have an animated glowing object that is inside a clear raytraced glass jar. The jar blocks the glow out. I have encountered this before and I can't remember how to fix it.